<?php

namespace App\Controller;

use App\Request\RestaurantDetailRequest;
use App\Service\RestaurantDetailService;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\Routing\Attribute\Route;

#[Route('/api/v1/restaurants/')]
class RestaurantDetailController extends AbstractController
{
    public function __construct(RestaurantDetailService $service)
    {
        parent::__construct($service);
    }

    /** Листинг ресторанов */
    #[Route('{restaurantId}', name: 'restaurant')]
    public function index(RestaurantDetailRequest $request): JsonResponse
    {
        return $this->build($request);
    }
}