<?php

namespace App\Controller;

use App\Request\RestaurantListingRequest;
use App\Service\RestaurantListingService;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpKernel\Attribute\MapQueryParameter;
use Symfony\Component\Routing\Attribute\Route;

#[Route('/api/v1/restaurants/')]
class RestaurantsController extends AbstractController
{
    public function __construct(RestaurantListingService $service)
    {
        parent::__construct($service);
    }

    /** Листинг ресторанов */
    #[Route(name: 'restaurants')]
    public function index(RestaurantListingRequest $request): JsonResponse
    {
        return $this->build($request);
    }
}
