<?php

namespace App\Dto;

use Ramsey\Collection\Collection;

class RestaurantFilterVariantsDto implements DtoInterface
{
    /**
     * @param DtoCollection<RestaurantTypeDto> $type
     * @param DtoCollection<KitchenTypeDto> $kitchen
     */
    public function __construct(
        /** @var DtoCollection<RestaurantTypeDto>  */
        public DtoCollection $type,

        /** @var DtoCollection<KitchenTypeDto>  */
        public DtoCollection $kitchen,
    ) {}
}
